## Apache Zeta Components Manual :: Docs For Class ezcPhpGeneratorFlowException

### PhpGenerator::ezcPhpGeneratorFlowException

### Class ezcPhpGeneratorFlowException

Flow exceptions are thrown when control structures like if and while are closed out of order.

Source for this file: /PhpGenerator/src/exceptions/flow_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPhpGeneratorException
             |
             --ezcPhpGeneratorFlowException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcPhpGeneratorFlowException | `__construct( $expectedFlow , $calledFlow )` Constructs a new flow exception.

### Inherited Methods

From ezcPhpGeneratorException
public void | `ezcPhpGeneratorException::__construct()` Constructs a new ezcPhpGeneratorException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcPhpGeneratorFlowException __construct( string $expectedFlow , string $calledFlow )

Constructs a new flow exception.

$expectedFlow is the name of the control structure you expected the end of and $calledFlow is the actual structure received.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$expectedFlow` | string |
`$calledFlow` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcPhpGeneratorException::__construct()` | Constructs a new ezcPhpGeneratorException with error message $message.

Documentation generated by phpDocumentor 1.4.3